> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pricing

> Retrieve a single pricing configuration by ID.

**Scope:** `pricing:read`


## OpenAPI

````yaml /openapi/pricing.yaml get /v1/pricing/{pricingId}
openapi: 3.1.0
info:
  title: Pricing API
  version: '1.0'
servers:
  - url: https://api.monk.com
    description: Production
  - url: https://api-sandbox.monk.com
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/pricing/{pricingId}:
    get:
      summary: Get Pricing
      description: Retrieve a single pricing configuration by ID.
      operationId: getPricing
      parameters:
        - name: pricingId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Pricing record.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/Pricing'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Pricing:
      type: object
      required:
        - id
        - productId
        - productName
        - name
        - model
        - billingMode
        - tiering
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        productId:
          type: string
          format: uuid
        productName:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        model:
          type: string
          enum:
            - FLAT
            - TIER
            - USAGE
        billingMode:
          type: string
          enum:
            - RECURRING
            - ONE_TIME
        tiering:
          type: string
          enum:
            - NONE
            - VOLUME
            - GRADUATED
        unitAmount:
          type: string
          nullable: true
        flatAmount:
          type: string
          nullable: true
        priceInterval:
          type: string
          nullable: true
        priceIntervalCount:
          type: integer
          nullable: true
        meterId:
          type: string
          format: uuid
          nullable: true
        pricingTiers:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PricingTier'
        createdAt:
          type: string
          format: date-time
    PricingTier:
      type: object
      required:
        - unitAmount
        - minQty
      properties:
        unitAmount:
          type: string
        minQty:
          type: string
        maxQty:
          type: string
        flatAmount:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - code
          properties:
            message:
              type: string
            code:
              type: string
  responses:
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Monk API key as the bearer token.

````